// custom-footer-script.js
function getOmniItemsOrder() {
  // Get all elements with class 'omni-item'
  const omniItems = document.getElementsByClassName("omni-item");

  // Create an object instead of an array
  const items = Array.from(omniItems).reduce((acc, item, index) => {
    acc[index + 1] = {
      title: item.getAttribute("name"),
      hidden: item.classList.contains("hidden") ? "true" : "false",
    };
    return acc;
  }, {});

  return items;
}

document.addEventListener("DOMContentLoaded", function (event) {
  var data = {
    url: scriptParams.currentUrl,
    ip: scriptParams.ipAddress,
    event: "page_load",
    referer: scriptParams.referer,
    OmniItemsOrder: getOmniItemsOrder(),
  };

  jQuery.post(scriptParams.ajaxUrl, {
    action: "forward_to_external",
    payload: data,
  });
});
